section.qr-code {
    padding: 3rem 0;
    background-color: var(--white);
}

section.qr-code .content {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
}

.qr-code .content h1 {
    font-size: 50px;
    font-weight: 400;
    font-family: var(--satisfy);
}

.qr-card {
    background-color: #fff;
    padding: 20px;
    border-radius: 20px;
    display: inline-block;
    transition: transform 0.3s ease;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.qr-card:hover {
    transform: scale(1.03);
}

.qr-card img {
    width: 100%;
    max-width: 250px;
    height: auto;
}

.qr-code .content p {
    font-size: 15px;
    padding: 0 2rem;
}

.content .btn-qr {
    background-color: var(--primary);
    color: white;
    padding: 7px 50px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    text-decoration: none;
    font-weight: 500;
    transition: background-color 0.3s ease-in-out, transform 0.2s ease-in-out;
}

.content .btn-qr:hover {
    background-color: var(--primary);
    transform: scale(1.05); /* Sedikit membesar saat hover */
    border: solid 1px var(--primary);
    color: white;
}

/* Ornament */
.qr-code .ornaments {
    overflow: hidden;
}

.qr-code .ornaments img:nth-child(1) {
    position: absolute;
    top: 0;
    right: 0;
    width: 40%;
    object-fit: cover;
    animation: rotateLeft 2s ease-in-out infinite alternate;
}

.qr-code .ornaments img:nth-child(2) {
    position: absolute;
    top: 0;
    left: 0;
    width: 40%;
    object-fit: cover;
    animation: rotateRight 2s ease-in-out infinite alternate;
}

.qr-code .ornaments img:nth-child(3) {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 40%;
    object-fit: cover;
    animation: rotateLeft 2s ease-in-out infinite alternate;
}

.qr-code .ornaments img:nth-child(4) {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 40%;
    object-fit: cover;
    animation: rotateRight 2s ease-in-out infinite alternate;
}
